import request from '@/router/axios';


//获取所有有效项目
export const queryProjectList = (params) => {
    return request({
        url: '/api/blade-manager/signPfxFile/queryProjectList',
        method: 'get',
        params
    })
}

//分页获取证书列表数据
export const listpage = (params) => {
    return request({
        url: '/api/blade-manager/signPfxFile/page',
        method: 'get',
        params
    })
}

//注册
export const goRegister = (data) => {
    return request({
        url: '/api/blade-manager/signPfxFile/goRegister',
        method: 'post',
        data
    })
}

//获取详情数据
export const getById = (data) => {
    return request({
        url: '/api/blade-manager/signPfxFile/getById',
        method: 'post',
        data
    })
}